package com.rootcloud.common.util;

import java.text.SimpleDateFormat;
import java.util.Date;

public class OrderNumberUtils {

    private static int callCount = 0;
    private static String lastDate = "";

    public static String generateOrderNumber() {
        String currentDate = new SimpleDateFormat("yyyyMMdd").format(new Date());

        if (!currentDate.equals(lastDate)) {
            callCount = 0;
            lastDate = currentDate;
        }

        callCount++;

        return currentDate + String.format("%03d", callCount);
    }

}
